Request framework report
curl --request POST \
--url https://{region}.api.plerion.com/v1/tenant/integrations/{integrationId}/frameworks/{wellArchitectedFrameworkId}/reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/integrations/{integrationId}/frameworks/{wellArchitectedFrameworkId}/reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/integrations/{integrationId}/frameworks/{wellArchitectedFrameworkId}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"status": "OK"
}
}{
"message": "Forbidden"
}{
"message": "Not found"
}{
"message": "Internal server error"
}Request a Well-Architected framework report for an integration
Starts the generation of a Well-Architected framework report for the specified integration. Once requested, poll using the download report endpoint.
POST
/
v1
/
tenant
/
integrations
/
{integrationId}
/
frameworks
/
{wellArchitectedFrameworkId}
/
reports
Request framework report
Authorizations
Bearer API Key. For example, "Bearer {Tenant API Key}"
Headers
Bearer API Key. For example, "Bearer {Tenant API Key}"
Path Parameters
UUID of the integration.
Framework ID (see list Well-Architected frameworks).
Response
Queue the creation of the report.
Show child attributes
Show child attributes
Was this page helpful?
Download a well-architected framework report for an integration in a tenantList Vulnerabilities in a tenant
⌘I